
%global meadversion 3.2.1
%global namedversion 3.2.1.redhat-7
%global meadalpha .redhat_7
%global meadrel .1
%global serial 18

# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%bcond_without mead

%define base_name  collections
%global short_name commons-%{base_name}
%global eap6_name %{short_name}-eap6

%define section    free

%define reltag redhat_2
%define namedreltag -redhat-2

%define maven_version 3.2.1.redhat-7

Name:           apache-commons-collections-eap6
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Apache Commons Collections
License:        ASL 2.0
Group:          Development/Libraries/Java

%if %with mead
Source100: commons-collections-3.2.1.redhat-7-scm-sources.zip
Source102: commons-collections-tomcat-3.2.1.redhat-7.pom
Source103: commons-collections-tomcat-3.2.1.redhat-7.jar
Source104: commons-collections-testframework-3.2.1.redhat-7.pom
Source105: commons-collections-testframework-3.2.1.redhat-7.jar
Source106: commons-collections-3.2.1.redhat-7-site.xml
Source107: commons-collections-3.2.1.redhat-7-javadoc.jar
Source108: commons-collections-3.2.1.redhat-7.jar
Source109: commons-collections-3.2.1.redhat-7-sources.jar
Source110: commons-collections-3.2.1.redhat-7.pom
Source111: commons-collections-3.2.1.redhat-7-project-sources.tar.gz
%endif

URL:            http://commons.apache.org/collections/

BuildRequires:  jpackage-utils

Requires:       java >= 0:1.6.0
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The introduction of the Collections API by Sun in JDK 1.2 has been a
boon to quick and effective Java programming. Ready access to powerful
data structures has accelerated development by reducing the need for
custom container classes around each core object. Most Java2 APIs are
significantly easier to use because of the Collections API.
However, there are certain holes left unfilled by Sun's
implementations, and the Jakarta-Commons Collections Component strives
to fulfill them. Among the features of this package are:
- special-purpose implementations of Lists and Maps for fast access
- adapter classes from Java1-style containers (arrays, enumerations) to
Java2-style collections.
- methods to test or create typical set-theory properties of collections
such as union, intersection, and closure.
This package is for EAP6 use only -- see regular commons-collections package.

%package -n apache-commons-collections-tomcat-eap6
Summary:        Commons Collections dependency for Tomcat 6 and 7
Group:          Development/Libraries/Java


%description -n apache-commons-collections-tomcat-eap6
Commons Collections dependency for Tomcat 6 and 7.

%prep

%build

%install
rm -rf %{buildroot}

##DEBUG
ls -l %{_sourcedir}

# jars
mkdir -p %{buildroot}%{_javadir}/%{eap6_name}
cp -p %{_sourcedir}/%{short_name}-%{namedversion}.jar \
      %{buildroot}%{_javadir}/%{eap6_name}/%{short_name}-%{namedversion}.jar

ln -s %{short_name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{eap6_name}/%{short_name}.jar

#tomcat jars
cp -p %{_sourcedir}/%{short_name}-tomcat-%{namedversion}.jar \
      %{buildroot}%{_javadir}/%{eap6_name}/%{short_name}-tomcat-%{namedversion}.jar

ln -s %{short_name}-tomcat-%{namedversion}.jar %{buildroot}%{_javadir}/%{eap6_name}/%{short_name}-tomcat.jar

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_javadir}*/%{eap6_name}/%{short_name}-%{namedversion}.jar
%{_javadir}*/%{eap6_name}/%{short_name}.jar

%files -n apache-commons-collections-tomcat-eap6
%defattr(0644,root,root,0755)
%{_javadir}*/%{eap6_name}/%{short_name}-tomcat-%{namedversion}.jar
%{_javadir}*/%{eap6_name}/%{short_name}-tomcat.jar


%changelog
* Wed Nov 18 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.2.1-18.redhat_7.1
- Revert parent (and toolchain) to 22-redhat-2 (based on 3.2.1.redhat-3)

* Wed Nov 18 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.2.1-17.redhat_6.1
- Fix maven.compile.* properties

* Fri Nov 13 2015 Fernando Nasser <fnasser@redhat.com> - 3.2.1-16.redhat_5.1
- Fix for BZ#1279330 - Remote code execution during deserialisation

* Tue Dec 17 2013 David Walluck <dwalluck@redhat.com> - 3.2.1-15.redhat_3.1
- More automated build testing

* Tue Dec 17 2013 David Walluck <dwalluck@redhat.com> - 3.2.1-15.redhat_3.1
- More automated build testing

* Tue Dec 17 2013 David Walluck <dwalluck@redhat.com> - 3.2.1-15.redhat_3.1
- More automated build testing

* Thu Dec 05 2013 David Walluck <dwalluck@redhat.com> - 3.2.1-14.redhat_3.1
- Wrap latest apache-commons-collections

* Thu Dec 05 2013 David Walluck <dwalluck@redhat.com> - 3.2.1-14.redhat_3.1
- Wrap latest apache-commons-collections

* Thu Dec 05 2013 David Walluck <dwalluck@redhat.com> - 3.2.1-14.redhat_3.1
- Wrap latest apache-commons-collections

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.2.1-13.redhat_2.1
- Rebuild for MD5

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.2.2-11.redhat_1.1
- Bump suffix

* Mon Jul 23 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.2.1-11.redhat_1.1
- Rebuild without signing

* Tue Jun 05 2012 Permaine Cheung <pcheung@redhat.com> - 0:3.2.1-11.redhat_1
- Add tomcat subpackage

* Fri May 25 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.2.1-10.redhat_1
- Clean MANIFEST

* Fri Apr 27 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.2.1-9.redhat_1
- Add sources to SRPM

* Wed Apr 18 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.2.1-8.redhat_1
- Fix line breaks in description

* Wed Apr 18 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.2.1-7.redhat_1
- EAP6 Wrapper of apache-commons-collections

